org.apache.tools.ant.taskdefs

## Class Javadoc.DocletParam

- java.lang.Object
- - org.apache.tools.ant.taskdefs.Javadoc.DocletParam

- Enclosing class:
    Javadoc

      public class Javadoc.DocletParam
      extends java.lang.Object

  Inner class used to manage doclet parameters.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocletParam()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Get the parameter name.
    `java.lang.String` | `getValue()` Get the parameter value.
    `void` | `setName(java.lang.String name)` Set the name of the parameter.
    `void` | `setValue(java.lang.String value)` Set the parameter value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DocletParam

          public DocletParam()

  - ### Method Detail

    - #### setName

          public void setName(java.lang.String name)

      Set the name of the parameter.
      Parameters:
        `name` - the name of the doclet parameter

    - #### getName

          public java.lang.String getName()

      Get the parameter name.
      Returns:
        the parameter's name.

    - #### setValue

          public void setValue(java.lang.String value)

      Set the parameter value. Note that only string values are supported. No resolution of file paths is performed.
      Parameters:
        `value` - the parameter value.

    - #### getValue

          public java.lang.String getValue()

      Get the parameter value.
      Returns:
        the parameter value.